edu.claflin.finder.logic.cygrouper

## Class Communicator

- java.lang.Object
- - edu.claflin.finder.logic.cygrouper.Communicator

- All Implemented Interfaces:
    CommunicationListener

      public class Communicator
      extends java.lang.Object
      implements CommunicationListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static Communicator` | `communicator`
    `static java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>>` | `groups`
    `static java.util.ArrayList<Graph>` | `uniqueSubgraphs`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Communicator()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Communicator` | `getSingleton()`
    `void` | `setGroups(java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>> results)`
    `void` | `setUniqueSubGraphs(java.util.ArrayList<Graph> subgraphs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### communicator

          private static Communicator communicator

    - #### groups

          public static java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>> groups

    - #### uniqueSubgraphs

          public static java.util.ArrayList<Graph> uniqueSubgraphs

  - ### Constructor Detail

    - #### Communicator

          private Communicator()

  - ### Method Detail

    - #### getSingleton

          public static Communicator getSingleton()

    - #### setGroups

          public void setGroups(java.util.ArrayList<java.util.Map<java.lang.String,CygrouperNode>> results)

      Specified by:
        `setGroups` in interface `CommunicationListener`

    - #### setUniqueSubGraphs

          public void setUniqueSubGraphs(java.util.ArrayList<Graph> subgraphs)

      Specified by:
        `setUniqueSubGraphs` in interface `CommunicationListener`